Subject: bug#55623: 29.0.50; Mention that (face-foreground 'default) can return "unspecified-fg"

From: Po Lu <[email-masked]>
Date: Wed, 25 May 2022 15:17:44 +0800

Visuwesh <[email-masked]> writes:

> In a tty frame and when using a theme that does not explicitly set the
> default face's :foreground/:background [1], (face-attribute 'default :foreground)
> returns "unspecified-fg".  This value is surprising when the docstring
> of `face-attribute' says,
>
>     To ensure that the return value is always specified and absolute, use a
>     value of ‘default’ for INHERIT; this will resolve any unspecified or
>     relative values by merging with the ‘default’ face (which is always
>     completely specified).              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>     ^^^^^^^^^^^^^^^^^^^^^
>
> I opened the Elisp manual and tried to isearch for "unspecified-fg", but
> it got me no matches.  It would be nice if this return value was
> documented somewhere.

Isn't that a special color which means to use the terminal's default
foreground (and/or background, in the case of unspecified-bg) colors?

If so, it should be documented as that instead.